Class('App.Com.AccountListForSel', 'xui.Com',{
    Instance:{
        iniComponents : function(){
            // [[Code created by CrossUI RAD Studio
            var host=this, children=[], append=function(child){children.push(child.get(0));};
            
            append(
                (new xui.UI.Panel())
                .setHost(host,"ctl_panel11")
                .setDock("none")
                .setLeft(100)
                .setTop(50)
                .setWidth(420)
                .setHeight(210)
                .setZIndex(1)
                .setCaption("Selection")
            );
            
            host.ctl_panel11.append(
                (new xui.UI.TreeGrid())
                .setHost(host,"grid")
                .setDirtyMark(false)
                .setSelMode("single")
                .setAltRowsBg(true)
                .setRowNumbered(true)
                .setColHidable(true)
                .setColMovable(true)
                .setHeader([{
                    "type" : "input",
                    "caption" : "Name",
                    "init" : "",
                    "required" : true,
                    "width" : 120,
                    "id" : "account_name"
                },{
                    "type" : "listbox",
                    "editorListItems" : [{
                        "id" : "noidea",
                        "caption" : "No Idea"
                    },{
                        "id" : "Association",
                        "caption" : "Association"
                    },{
                        "id" : "Government",
                        "caption" : "Government"
                    },{
                        "id" : "Commercial",
                        "caption" : "Commercial"
                    },{
                        "id" : "Distributor",
                        "caption" : "Distributor"
                    },{
                        "id" : "Other",
                        "caption" : "Others"
                    }],
                    "caption" : "Category",
                    "required" : true,
                    "init" : "noidea",
                    "width" : 80,
                    "id" : "account_type"
                },{
                    "type" : "textarea",
                    "caption" : "Address",
                    "width" : 120,
                    "relWidth" : true,
                    "id" : "account_address"
                }])
                .setRows([{
                    "id" : "fpcTsPm8PWMZ5mZJ",
                    "cells" : [{
                        "value" : "K Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "ryUIeTQRMv0yTHD6",
                    "cells" : [{
                        "value" : "I Co.,"
                    },{
                        "value" : "Government"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "PpSYc5mclKxPtJOQ",
                    "cells" : [{
                        "value" : "D Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "U4eZnZuq9v4quTAo",
                    "cells" : [{
                        "value" : "C Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "d364H1cDSSxDFX1q",
                    "cells" : [{
                        "value" : "B Co.,"
                    },{
                        "value" : "Government"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "zn0AQSnigLu3qP3R",
                    "cells" : [{
                        "value" : "A Co.,"
                    },{
                        "value" : "Association"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "c0pAwvJTww48NRnf",
                    "cells" : [{
                        "value" : "J co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "LD9oGyY4Mce9QfBa",
                    "showLabel" : "H Co.,",
                    "cells" : [{
                        "value" : "H Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "dQ6gdMb9yQoMFoRD",
                    "cells" : [{
                        "value" : "E Co.,"
                    },{
                        "value" : "Government"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "THojjNexvpyYD1uO",
                    "cells" : [{
                        "value" : "J Co.,"
                    },{
                        "value" : "Association"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "uKqPoWQgYlG95qvt",
                    "cells" : [{
                        "value" : "F Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                },{
                    "id" : "2oB6SXqd5X8GaBSg",
                    "cells" : [{
                        "value" : "G Co.,"
                    },{
                        "value" : "Commercial"
                    },{
                        "value" : "",
                        "cellClass" : "xui-cls-wordwrap "
                    }]
                }])
                .setTreeMode(false)
                .setValue("")
                .onRowSelected([{
                    "desc" : "cb 1",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setAccId",undefined,undefined,"{args[1].id}"],
                    "method" : "call"
                },{
                    "desc" : "cb 2",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setAccCaption",undefined,undefined,"{page.grid.getRowMap().account_name}"],
                    "method" : "call"
                },{
                    "desc" : "hide",
                    "type" : "page",
                    "target" : "App.Com.AccountListForSel",
                    "params" : [],
                    "method" : "hide"
                }])
                .onDblclickRow([{
                    "desc" : "set status",
                    "type" : "other",
                    "target" : "var",
                    "params" : ["acc_status","open"],
                    "method" : "global"
                },{
                    "desc" : "Open Form",
                    "type" : "page",
                    "target" : "App.Form.Account",
                    "params" : [],
                    "method" : "show"
                },{
                    "desc" : "set data in",
                    "type" : "other",
                    "target" : "var",
                    "params" : ["FromDataIn","{page.grid.getRowMap()}"],
                    "method" : "global"
                },{
                    "desc" : "set callback",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setFormDataToGrid","{page.grid.setRowMap()}"],
                    "method" : "set"
                }])
                );
            
            return children;
            // ]]Code created by CrossUI RAD Studio
        }
    }
});