Class('App', 'xui.Com',{
    Instance:{
        autoDestroy:false,
        //customStyle:{
        //   "font-size":"14px",
        //   "color":"#00ff00"
        //},
        iniComponents : function(){
            // [[Code created by CrossUI RAD Studio
            var host=this, children=[], append=function(child){children.push(child.get(0));};

            append(
                (new xui.DataBinder())
                .setHost(host,"databinder_1")
                .setDataSourceType("remoting")
                .setQueryURL("http://www.crossui.com/xui/backend/PHP/demo.php")
                .setQueryArgs({
                    "a" : 1,
                    "b" : 2
                })
                .setName("databinder_1")
                .beforeInvoke([{
                    "desc" : "Busy",
                    "type" : "other",
                    "target" : "msg",
                    "params" : [],
                    "method" : "busy"
                }])
                .onData([{
                    "desc" : "free UI",
                    "type" : "other",
                    "target" : "msg",
                    "params" : [],
                    "method" : "free"
                }])
                .onError([{
                    "desc" : "free UI",
                    "type" : "other",
                    "target" : "msg",
                    "params" : [],
                    "method" : "free"
                }])
            );

            append(
                (new xui.UI.Pane())
                .setHost(host,"ctl_pane39")
                .setShowEffects("Blur")
                .setHideEffects("Blur")
                .setLeft(0)
                .setTop(0)
                .setWidth(840)
                .setHeight(800)
            );

            host.ctl_pane39.append(
                (new xui.UI.Panel())
                .setHost(host,"ctl_panel7")
                .setDock("none")
                .setLeft(20)
                .setTop(380)
                .setWidth(340)
                .setHeight(170)
                .setZIndex(1)
                .setCaption("Panel")
                );

            host.ctl_panel7.append(
                (new xui.UI.TreeView())
                .setHost(host,"ctl_treeview5")
                .setItems([{
                    "id" : "node1",
                    "caption" : "node1",
                    "sub" : [{
                        "id" : "node11",
                        "sub" : [{
                            "id" : "node14"
                        }]
                    },{
                        "id" : "node12",
                        "image" : "http://localhost/crossui.com/rad/img/demo.png",
                        "sub" : [{
                            "id" : "node13"
                        }]
                    }]
                },{
                    "id" : "node2",
                    "caption" : "node2",
                    "sub" : [{
                        "id" : "a"
                    },{
                        "id" : "b"
                    },{
                        "id" : "c"
                    }]
                },{
                    "id" : "node3",
                    "caption" : "node3"
                },{
                    "id" : "node4",
                    "caption" : "node4"
                }])
                .setDock("left")
                .setWidth(115)
                .setSelMode("multibycheckbox")
                .setValue("node1")
                .onChange([{
                    "desc" : "fda",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [null,"node2"],
                    "method" : "toggleNode"
                }])
                .onItemSelected("_ctl_treeview5_onitemselected")
                );

            host.ctl_panel7.append(
                (new xui.UI.TreeGrid())
                .setHost(host,"ctl_treegrid5")
                .setRowNumbered(true)
                .setHeader([{
                    "id" : "col1",
                    "width" : 80,
                    "type" : "input",
                    "caption" : "col1"
                },{
                    "id" : "col2",
                    "width" : 80,
                    "type" : "input",
                    "caption" : "col2"
                },{
                    "id" : "col3",
                    "width" : 80,
                    "type" : "input",
                    "caption" : "col3"
                },{
                    "id" : "col4",
                    "width" : 80,
                    "type" : "input",
                    "caption" : "col4"
                }])
                .setRows([{
                    "id" : "row1",
                    "cells" : [{
                        "value" : "row1 col1"
                    },{
                        "value" : "row1 col2"
                    },{
                        "value" : "row1 col3"
                    },{
                        "value" : "row1 col4"
                    }]
                },{
                    "id" : "row2",
                    "cells" : [{
                        "value" : "row2 col1",
                        "dirty" : true
                    },{
                        "value" : "row2 col2",
                        "dirty" : true
                    },{
                        "value" : "row2 col3",
                        "dirty" : true
                    },{
                        "value" : "row2 col4",
                        "dirty" : true
                    }],
                    "sub" : [{
                        "firstCellStyle" : "",
                        "firstCellClass" : "",
                        "disabled" : false,
                        "readonly" : false,
                        "cells" : [{
                            "value" : "sub1",
                            "disabled" : "",
                            "readonly" : "",
                            "imageDisplay" : "",
                            "image" : "http://localhost/crossui.com/xui/xui/bg.gif",
                            "width" : 80,
                            "cellDisplay" : "",
                            "cellCls" : "xui-treegrid-cell-input",
                            "type" : "input",
                            "caption" : "sub1",
                            "backgroundImage" : "background-image:url(http://localhost/crossui.com/xui/xui/bg.gif);",
                            "backgroundPosition" : "background-position:center;",
                            "backgroundRepeat" : "background-repeat:no-repeat;"
                        },{
                            "value" : "sub2",
                            "disabled" : "",
                            "readonly" : "",
                            "imageDisplay" : "",
                            "image" : "http://localhost/crossui.com/xui/xui/bg.gif",
                            "width" : 80,
                            "cellDisplay" : "",
                            "cellCls" : "xui-treegrid-cell-input",
                            "type" : "input",
                            "caption" : "sub2",
                            "backgroundImage" : "background-image:url(http://localhost/crossui.com/xui/xui/bg.gif);",
                            "backgroundPosition" : "background-position:center;",
                            "backgroundRepeat" : "background-repeat:no-repeat;"
                        },{
                            "value" : "sub3",
                            "disabled" : "",
                            "readonly" : "",
                            "imageDisplay" : "",
                            "image" : "http://localhost/crossui.com/xui/xui/bg.gif",
                            "width" : 80,
                            "cellDisplay" : "",
                            "cellCls" : "xui-treegrid-cell-input",
                            "type" : "input",
                            "caption" : "sub3",
                            "backgroundImage" : "background-image:url(http://localhost/crossui.com/xui/xui/bg.gif);",
                            "backgroundPosition" : "background-position:center;",
                            "backgroundRepeat" : "background-repeat:no-repeat;"
                        },{
                            "value" : "sub4",
                            "disabled" : "",
                            "readonly" : "",
                            "imageDisplay" : "",
                            "image" : "http://localhost/crossui.com/xui/xui/bg.gif",
                            "width" : 80,
                            "cellDisplay" : "",
                            "cellCls" : "xui-treegrid-cell-input",
                            "type" : "input",
                            "caption" : "sub4",
                            "backgroundImage" : "background-image:url(http://localhost/crossui.com/xui/xui/bg.gif);",
                            "backgroundPosition" : "background-position:center;",
                            "backgroundRepeat" : "background-repeat:no-repeat;"
                        }]
                    }]
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group1")
                .setLeft(20)
                .setTop(80)
                .setWidth(340)
                .setHeight(57)
                .setOverflow("hidden")
                .setCaption("URL")
                .setToggleBtn(false)
                );

            host.ctl_group1.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton6")
                .setDesc("URL Test 1")
                .setLeft(10)
                .setTop(0)
                .setWidth(100)
                .setHeight(30)
                .setHtml("URL Test 1")
                .onClick([{
                    "desc" : "self",
                    "type" : "other",
                    "target" : "url",
                    "params" : ["http://www.google.com"],
                    "method" : "open--_self"
                }])
                );

            host.ctl_group1.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton7")
                .setDesc("URL Test 2")
                .setLeft(120)
                .setTop(0)
                .setWidth(100)
                .setHeight(30)
                .setHtml("URL Test 2")
                .onClick([{
                    "desc" : "blank",
                    "type" : "other",
                    "target" : "url",
                    "params" : ["http://www.google.com"],
                    "method" : "open--_blank"
                }])
                );

            host.ctl_group1.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton8")
                .setDesc("URL Test 3")
                .setLeft(230)
                .setTop(0)
                .setWidth(100)
                .setHeight(30)
                .setHtml("Email Test")
                .onClick([{
                    "desc" : "email",
                    "type" : "other",
                    "target" : "url",
                    "params" : ["linb@crossui.com"],
                    "method" : "mailTo"
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group2")
                .setLeft(20)
                .setTop(150)
                .setWidth(340)
                .setHeight(94)
                .setOverflow("hidden")
                .setCaption("System Message")
                .setToggleBtn(false)
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton2")
                .setDesc("Alert Test")
                .setLeft(10)
                .setTop(0)
                .setWidth(100)
                .setHeight(34)
                .setZIndex(1002)
                .setHtml("Alert Test")
                .onClick([{
                    "desc" : "alert",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Title","Alert Message"],
                    "method" : "alert",
                    "onOK" : 2
                },{
                    "desc" : "next",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Hi","You closed alert dialog"],
                    "method" : "message"
                }])
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton115")
                .setDesc("Pop Message")
                .setLeft(120)
                .setTop(0)
                .setWidth(100)
                .setHeight(34)
                .setHtml("Pop Message")
                .onClick([{
                    "desc" : "message",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Title","Pop Message"],
                    "method" : "pop"
                }])
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton32")
                .setDesc("Floating Message")
                .setLeft(230)
                .setTop(0)
                .setWidth(100)
                .setHeight(34)
                .setHtml("Floating Message")
                .onClick([{
                    "desc" : "action",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Body","Title",400,5000],
                    "method" : "message"
                }])
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton63")
                .setDesc("Show Waiting")
                .setLeft(230)
                .setTop(40)
                .setWidth(100)
                .setHeight(30)
                .setHtml("Show Waiting")
                .onClick([{
                    "desc" : "wait",
                    "type" : "other",
                    "target" : "msg",
                    "params" : [],
                    "method" : "busy"
                },{
                    "desc" : "ok",
                    "type" : "other",
                    "target" : "msg",
                    "params" : [],
                    "method" : "free",
                    "timeout" : 1000
                }])
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton120")
                .setDesc("Confirm Test")
                .setLeft(10)
                .setTop(40)
                .setWidth(100)
                .setHeight(30)
                .setZIndex(1002)
                .setHtml("Confirm Test")
                .onClick([{
                    "desc" : "alert",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Title","Continuew to exec?"],
                    "method" : "confirm",
                    "onOK" : 2
                },{
                    "desc" : "next",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Hi","You clicked OK"],
                    "method" : "message"
                }])
                );

            host.ctl_group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton162")
                .setDesc("Prompt Test")
                .setLeft(120)
                .setTop(40)
                .setWidth(100)
                .setHeight(30)
                .setZIndex(1002)
                .setHtml("Prompt Test")
                .onClick([{
                    "desc" : "prompt",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Title","Continuew to exec?","text"],
                    "method" : "prompt",
                    "onOK" : 3,
                    "onKO" : 4
                },{
                    "desc" : "switch",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Your input is 'text'","ok"],
                    "method" : "message",
                    "conditions" : [{
                        "left" : "{temp.okData}",
                        "symbol" : "=",
                        "right" : "text"
                    }]
                },{
                    "desc" : "onKO",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["You clicked cancel","cancel"],
                    "method" : "message",
                    "conditions" : [{
                        "left" : "{temp.koData}",
                        "symbol" : "=",
                        "right" : ""
                    }]
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group3")
                .setLeft(20)
                .setTop(260)
                .setWidth(340)
                .setHeight(110)
                .setOverflow("hidden")
                .setCaption("Controls")
                .setToggleBtn(false)
                );

            host.ctl_group3.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton14")
                .setDesc("Destroy Control")
                .setLeft(120)
                .setTop(40)
                .setWidth(100)
                .setHeight(40)
                .setHtml("Destroy Control")
                .onClick([{
                    "desc" : "dest",
                    "type" : "control",
                    "target" : "ctl_image103",
                    "params" : [],
                    "method" : "destroy"
                }])
                );

            host.ctl_group3.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton29")
                .setDesc("Show Control")
                .setLeft(10)
                .setTop(40)
                .setWidth(100)
                .setHeight(40)
                .setHtml("Show / Hide Control")
                .onClick([{
                    "desc" : "hide",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [],
                    "method" : "hide"
                },{
                    "desc" : "show",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [],
                    "method" : "show",
                    "timeout" : 500
                }])
                );

            host.ctl_group3.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton30")
                .setDesc("Modify Control's properties")
                .setLeft(10)
                .setTop(0)
                .setWidth(210)
                .setHeight(30)
                .setHtml("Modify Control's properties")
                .onClick([{
                    "desc" : "prop1",
                    "type" : "control",
                    "target" : "ctl_htmlbutton2",
                    "params" : [{
                        "html" : "[Dialog Test]",
                        "CC" : {
                            "KEY" : null
                        },"CS" : {
                            "KEY" : {
                                "border-radius" : "4px 4px 4px 4px",
                                "$gradient" : {
                                    "stops" : [{
                                        "pos" : "0%",
                                        "clr" : "#FFD65E"
                                    },{
                                        "pos" : "50%",
                                        "clr" : "#FEBF04"
                                    },{
                                        "pos" : "100%",
                                        "clr" : "#FFC926"
                                    }],
                                    "type" : "linear",
                                    "orient" : "T"
                                }
                            }
                        }
                    }],
                    "method" : "setProperties"
                },{
                    "desc" : "dialog",
                    "type" : "control",
                    "target" : "ctl_dialog3",
                    "params" : [{
                        "minBtn" : false,
                        "maxBtn" : false,
                        "shadow" : false
                    }],
                    "method" : "setProperties"
                }])
                );

            host.ctl_group3.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton39")
                .setDesc("Show Control to Container")
                .setLeft(230)
                .setTop(40)
                .setWidth(100)
                .setHeight(40)
                .setHtml("Show Control to Container")
                .onClick([{
                    "desc" : "con",
                    "type" : "control",
                    "target" : "ctl_htmlbutton2",
                    "params" : ["{page.ctl_layout14}","main"],
                    "method" : "show"
                },{
                    "desc" : "con2",
                    "type" : "control",
                    "target" : "ctl_htmlbutton7",
                    "params" : ["{page.ctl_tabs4}","first"],
                    "method" : "show"
                }])
                );

            host.ctl_group3.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton96")
                .setDesc("Show Waiting")
                .setLeft(230)
                .setTop(0)
                .setWidth(100)
                .setHeight(30)
                .setHtml("Panel Waiting")
                .onClick([{
                    "desc" : "wait",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [],
                    "method" : "busy"
                },{
                    "desc" : "ok",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [],
                    "method" : "free",
                    "timeout" : 1000
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group10")
                .setLeft(370)
                .setTop(330)
                .setWidth(450)
                .setHeight(220)
                .setOverflow("hidden")
                .setCaption("Items and Rows")
                .setToggleBtn(false)
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton90")
                .setDesc("Clear Items in TreeView")
                .setLeft(340)
                .setTop(50)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Clear Items in TreeView")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [],
                    "method" : "clearItems"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton91")
                .setDesc("Clear Rows")
                .setLeft(340)
                .setTop(100)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Clear Rows")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [],
                    "method" : "removeAllRows"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton92")
                .setDesc("Clear Columns")
                .setLeft(340)
                .setTop(150)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Clear Columns")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [],
                    "method" : "setHeader"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton103")
                .setDesc("Remove Items in TreeView")
                .setLeft(230)
                .setTop(50)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Remove Items in TreeView")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["node1;node2"],
                    "method" : "removeItems"
                },{
                    "desc" : "action2",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["first"],
                    "method" : "removeItems"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton104")
                .setDesc("Remove Row")
                .setLeft(230)
                .setTop(100)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Remove Rows")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["row1;row2"],
                    "method" : "removeRows"
                },{
                    "desc" : "action2",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["first"],
                    "method" : "removeRows"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton105")
                .setDesc("Remove Columns")
                .setLeft(230)
                .setTop(150)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Remove Columns")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["col3;col4"],
                    "method" : "removeCols"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton164")
                .setDesc("Insert Items to TreeBar")
                .setLeft(10)
                .setTop(50)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Insert Items to TreeBar")
                .onClick([{
                    "desc" : "first",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "first",
                        "caption" : "first",
                        "sub" : [{
                            "id" : "node2.51",
                            "caption" : "node2.5"
                        }]
                    }],"","",true],
                    "method" : "insertItems"
                },{
                    "desc" : "last",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "last",
                        "caption" : "last"
                    }],"","",false],
                    "method" : "insertItems"
                },{
                    "desc" : "a 1",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "a node2",
                        "caption" : "a node2"
                    }],"","node2",false],
                    "method" : "insertItems"
                },{
                    "desc" : "a 2",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "a last",
                        "caption" : "a last"
                    }],"","last",false],
                    "method" : "insertItems"
                },{
                    "desc" : "b 1",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "b node1",
                        "caption" : "b node1"
                    }],"","node1",true],
                    "method" : "insertItems"
                },{
                    "desc" : "b 2",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "b last",
                        "caption" : "b  last"
                    }],"","last",true],
                    "method" : "insertItems"
                },{
                    "desc" : "subfirst",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "subfirst",
                        "caption" : "subfirst"
                    }],"node1","",true],
                    "method" : "insertItems"
                },{
                    "desc" : "sublast",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : [[{
                        "id" : "sublast",
                        "caption" : "sublast"
                    }],"node1","",false],
                    "method" : "insertItems"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton165")
                .setDesc("Insert Rowss to TreeGrid")
                .setLeft(10)
                .setTop(100)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Insert Rowss to TreeGrid")
                .onClick([{
                    "desc" : "first",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "first",
                        "caption" : "first",
                        "cells" : [{
                            "value" : "a"
                        },{
                            "value" : "b"
                        },{
                            "value" : "c"
                        },{
                            "value" : "d"
                        }]
                    }],"","",true],
                    "method" : "insertRows"
                },{
                    "desc" : "last",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "last",
                        "caption" : "last",
                        "cells" : [{
                            "value" : "d"
                        },{
                            "value" : "d"
                        },{
                            "value" : "w"
                        },{
                            "value" : "s"
                        }]
                    }],"","",false],
                    "method" : "insertRows"
                },{
                    "desc" : "b1",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "b row2",
                        "caption" : "b row2",
                        "cells" : [{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"","row2",true],
                    "method" : "insertRows"
                },{
                    "desc" : "b2",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "b last",
                        "caption" : "b last",
                        "cells" : [{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"","last",true],
                    "method" : "insertRows"
                },{
                    "desc" : "a 1",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "a row2",
                        "caption" : "a row2",
                        "cells" : [{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"","row2",false],
                    "method" : "insertRows"
                },{
                    "desc" : "a 2",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "a first",
                        "caption" : "a first",
                        "cells" : [{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"","first",false],
                    "method" : "insertRows"
                },{
                    "desc" : "subfirst",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "subfirst",
                        "cells" : [{
                            "value" : "subfirst"
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"row2","",true],
                    "method" : "insertRows"
                },{
                    "desc" : "sublast",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : [[{
                        "id" : "sublast",
                        "cells" : [{
                            "value" : "sublast"
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        },{
                            "value" : ""
                        }]
                    }],"row2","",false],
                    "method" : "insertRows"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton401")
                .setDesc("Update Item in  TreeView")
                .setLeft(120)
                .setTop(50)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Update Item in TreeView")
                .onClick([{
                    "desc" : "a",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["node2",{
                        "caption" : "NODE2"
                    }],
                    "method" : "updateItem"
                },{
                    "desc" : "b",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["last",{
                        "caption" : "[last]"
                    }],
                    "method" : "updateItem"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton477")
                .setDesc("Update Row in Grid")
                .setLeft(120)
                .setTop(100)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Update Row in Grid")
                .onClick([{
                    "desc" : "a",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["row2",{
                        "caption" : "ROW2"
                    }],
                    "method" : "updateRow"
                },{
                    "desc" : "b",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["first",{
                        "height" : 80
                    }],
                    "method" : "updateRow"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton478")
                .setDesc("Update Column in Grid")
                .setLeft(120)
                .setTop(150)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Update Column in Grid")
                .onClick([{
                    "desc" : "a",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["col3",{
                        "caption" : "abva",
                        "width" : 30
                    }],
                    "method" : "updateHeader"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton479")
                .setDesc("Update Cell in Grid")
                .setLeft(10)
                .setTop(150)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Update Cell in Grid")
                .onClick([{
                    "desc" : "a",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["1:1",{
                        "value" : "1:1"
                    }],
                    "method" : "updateCellByRowCol2"
                },{
                    "desc" : "b",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["0:0",{
                        "value" : "0:0"
                    }],
                    "method" : "updateCellByRowCol2"
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton67")
                .setDesc("Toggle Panel")
                .setLeft(10)
                .setTop(0)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Toggle Panel")
                .onClick([{
                    "desc" : "fold",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [false,false],
                    "method" : "setToggle"
                },{
                    "desc" : "expand",
                    "type" : "control",
                    "target" : "ctl_panel7",
                    "params" : [true,true],
                    "method" : "setToggle",
                    "timeout" : 500
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton68")
                .setDesc("Toggle TreeView")
                .setLeft(120)
                .setTop(0)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Toggle TreeView")
                .onClick([{
                    "desc" : "expand",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["node2",true],
                    "method" : "toggleNode"
                },{
                    "desc" : "fold",
                    "type" : "control",
                    "target" : "ctl_treeview5",
                    "params" : ["node2",false],
                    "method" : "toggleNode",
                    "timeout" : 800
                }])
                );

            host.ctl_group10.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton114")
                .setDesc("Toggle TreeGrid")
                .setLeft(230)
                .setTop(0)
                .setWidth(102)
                .setHeight(40)
                .setHtml("Toggle TreeGrid")
                .onClick([{
                    "desc" : "expand",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["row2",true],
                    "method" : "toggleRow"
                },{
                    "desc" : "fold",
                    "type" : "control",
                    "target" : "ctl_treegrid5",
                    "params" : ["row2",false],
                    "method" : "toggleRow",
                    "timeout" : 800
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group12")
                .setLeft(180)
                .setTop(560)
                .setWidth(640)
                .setHeight(190)
                .setOverflow("hidden")
                .setCaption("Pages")
                .setToggleBtn(false)
                );

            host.ctl_group12.append(
                (new xui.UI.Pane())
                .setHost(host,"ctl_pane18")
                .setLeft(110)
                .setTop(4)
                .setWidth(338)
                .setHeight(162)
                .setCustomStyle({
                    "KEY" : {
                        "border" : "dashed #483D8B 1px",
                        "border-radius" : "4px 4px 4px 4px"
                    }
                })
                .setCustomClass({
                    "KEY" : null
                })
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton108")
                .setDesc("Show Page")
                .setLeft(10)
                .setTop(10)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Show Page")
                .onClick([{
                    "desc" : "action",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : ["{page.ctl_pane18}"],
                    "method" : "show"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton43")
                .setDesc("Hide Page")
                .setLeft(460)
                .setTop(50)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Hide Page")
                .onClick([{
                    "desc" : "Hide page",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : [],
                    "method" : "hide"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton44")
                .setDesc("Destroy Page")
                .setLeft(460)
                .setTop(90)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Destroy Page")
                .onClick([{
                    "desc" : "Destroy",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : [],
                    "method" : "destroy"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton45")
                .setDesc("Fill Data")
                .setLeft(10)
                .setTop(90)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Fill Data")
                .onClick([{
                    "desc" : "action",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : ["[data]data/data.json"],
                    "method" : "setData"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton46")
                .setDesc("Fill Value")
                .setLeft(10)
                .setTop(50)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Fill Value")
                .onClick([{
                    "desc" : "action",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : ["[data]data/values.json"],
                    "method" : "setValue"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton47")
                .setDesc("Switch to  another Page")
                .setLeft(560)
                .setTop(10)
                .setWidth(74)
                .setHeight(150)
                .setHtml("&gt;&gt; <br><br>Switch to<div><br></div><div>another</div><div><br></div><div>Page</div>")
                .onClick([{
                    "desc" : "动作1",
                    "type" : "page",
                    "target" : "App.XUIPage2",
                    "params" : [true],
                    "method" : "switch"
                }])
                );

            host.ctl_group12.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton1367")
                .setDesc("Fill Profiles")
                .setLeft(10)
                .setTop(130)
                .setWidth(90)
                .setHeight(30)
                .setHtml("Fill Profiles")
                .onClick([{
                    "desc" : "action",
                    "type" : "page",
                    "target" : "App.XUISubPage",
                    "params" : ["[data]data/prfs.json"],
                    "method" : "setProfile"
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group21")
                .setLeft(20)
                .setTop(560)
                .setWidth(140)
                .setHeight(190)
                .setCaption("Others")
                .setToggleBtn(false)
                );

            host.ctl_group21.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton180")
                .setDesc("RPC Call")
                .setLeft(10)
                .setTop(10)
                .setWidth(110)
                .setHeight(30)
                .setHtml("RPC Call")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "databinder_1",
                    "params" : [],
                    "method" : "invoke",
                    "onOK" : 0,
                    "onKO" : 1
                },{
                    "desc" : "Adjust Data",
                    "type" : "other",
                    "target" : "var",
                    "params" : ["okData2","{temp.okData}"],
                    "method" : "temp",
                    "adjust" : "stringify"
                },{
                    "desc" : "Show result",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["OK","{temp.okData2}"],
                    "method" : "pop"
                }])
                );

            host.ctl_group21.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton125")
                .setDesc("Conditions")
                .setLeft(10)
                .setTop(50)
                .setWidth(110)
                .setHeight(30)
                .setHtml("Conditions")
                .onClick([{
                    "desc" : "=",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["1=1"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "1",
                        "symbol" : "=",
                        "right" : "1"
                    }]
                },{
                    "desc" : "!=",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["2!=1"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "2",
                        "symbol" : "!=",
                        "right" : "1"
                    }]
                },{
                    "desc" : ">",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["2>1"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "2",
                        "symbol" : ">",
                        "right" : "1"
                    }]
                },{
                    "desc" : "<",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["1<2"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "1",
                        "symbol" : "<",
                        "right" : "2"
                    }]
                },{
                    "desc" : "<=",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["2<=3"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "2",
                        "symbol" : "<=",
                        "right" : "3"
                    }]
                },{
                    "desc" : ">=",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["1>=1"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "1",
                        "symbol" : ">=",
                        "right" : "1"
                    }]
                },{
                    "desc" : "contains",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["'aa bb cc' contains 'bb'"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "aa bb cc",
                        "symbol" : "include",
                        "right" : "bb"
                    }]
                },{
                    "desc" : "doesn't contain",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["'aa dd cc' doesn't contain 'bb'"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "aa dd cc",
                        "symbol" : "exclude",
                        "right" : "bb"
                    }]
                },{
                    "desc" : "start with",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["'aa dd cc' starts with 'aa'"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "aa dd cc",
                        "symbol" : "start",
                        "right" : "aa"
                    }]
                },{
                    "desc" : "end with",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["'aa dd cc' ends with 'cc'"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "aa dd cc",
                        "symbol" : "end",
                        "right" : "cc"
                    }]
                }])
                );

            host.ctl_group21.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton210")
                .setDesc("Keyborad Event")
                .setLeft(10)
                .setTop(90)
                .setWidth(110)
                .setHeight(30)
                .setHtml("Keyborad Event")
                .onHotKeydown([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Key:{args.1.key}<br/>\nCtrl:{args.1.ctrlKey}<br/>\nShift:{args.1.shiftKey}<br/>\nAlt:{args.1.altKey}","Keyboard Event",200,5000],
                    "method" : "message",
                    "conditions" : [{
                        "left" : "",
                        "symbol" : "=",
                        "right" : ""
                    }],
                    "event" : 2
                }])
                .onClick([])
                );

            host.ctl_group21.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton209")
                .setDesc("Mouse Event")
                .setLeft(10)
                .setTop(130)
                .setWidth(110)
                .setHeight(30)
                .setHtml("Mouse Event")
                .onClick([{
                    "desc" : "Mouse",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Mouse Event","button:{args.1.button}<br/>\npageX:{args.1.pageX}<br/>\npageY:{args.1.pageY}<br/>\n\n<br/><br/>\nCtrl:{args.1.ctrlKey}<br/>\nshiftKey:{args.1.shiftKey}<br/>\nAltKey:{args.1.AltKey}"],
                    "method" : "pop",
                    "conditions" : [{
                        "left" : "",
                        "symbol" : "=",
                        "right" : ""
                    }],
                    "event" : 1
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.Dialog())
                .setHost(host,"ctl_dialog3")
                .setLeft(380)
                .setTop(10)
                .setWidth(440)
                .setHeight(263)
                .setCaption("Stop close")
                .beforeClose([{
                    "desc" : "stop",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Cancel before event","Close Event was cancelled!"],
                    "method" : "pop",
                    "return" : false
                }])
                );

            host.ctl_dialog3.append(
                (new xui.UI.Tabs())
                .setHost(host,"ctl_tabs4")
                .setItems([{
                    "id" : "a",
                    "caption" : "page1",
                    "image" : ""
                },{
                    "id" : "b",
                    "caption" : "page2",
                    "image" : ""
                },{
                    "id" : "c",
                    "caption" : "page3",
                    "image" : ""
                }])
                .setValue("a")
                );

            host.ctl_tabs4.append(
                (new xui.UI.Layout())
                .setHost(host,"ctl_layout14")
                .setItems([{
                    "id" : "before",
                    "pos" : "before",
                    "min" : 10,
                    "size" : 80,
                    "locked" : false,
                    "folded" : false,
                    "hidden" : false,
                    "cmd" : true
                },{
                    "id" : "main",
                    "min" : 10
                },{
                    "id" : "after",
                    "pos" : "after",
                    "cmd" : false,
                    "min" : 10,
                    "size" : 80,
                    "locked" : false,
                    "folded" : false,
                    "hidden" : false
                }])
                .setType("horizontal")
                , "a");

            host.ctl_layout14.append(
                (new xui.UI.Image())
                .setHost(host,"ctl_image103")
                .setLeft(60)
                .setTop(70)
                .setWidth(140)
                .setHeight(40)
                .setSrc("http://www.crossui.com/img/logo.png")
                , "main");

            host.ctl_pane39.append(
                (new xui.UI.SLabel())
                .setHost(host,"ctl_slabel8")
                .setLeft(10)
                .setTop(20)
                .setWidth(334)
                .setHeight(47)
                .setCaption("Actions without code")
                .setCustomStyle({
                    "KEY" : {
                        "color" : "#4B0082",
                        "font-family" : "comic sans ms,cursive",
                        "font-size" : "24pt",
                        "font-weight" : "bold",
                        "text-shadow" : "0px 0px 9px #DA70D6",
                        "opacity" : 0.8
                    }
                })
                .setCustomClass({
                    "KEY" : null
                })
                );

            host.ctl_pane39.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton163")
                .setDesc("Insert Items to Tabs")
                .setLeft(380)
                .setTop(284)
                .setWidth(102)
                .setHeight(36)
                .setHtml("Insert Items to Tabs")
                .onClick([{
                    "desc" : "first",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "first",
                        "caption" : "first"
                    }],"",true],
                    "method" : "insertItems"
                },{
                    "desc" : "last",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "last",
                        "caption" : "last"
                    }],"",false],
                    "method" : "insertItems"
                },{
                    "desc" : "before 1",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "b0",
                        "caption" : "b-page2"
                    }],"b",true],
                    "method" : "insertItems"
                },{
                    "desc" : "before 2",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "b2",
                        "caption" : "b-last"
                    }],"last",true],
                    "method" : "insertItems"
                },{
                    "desc" : "after 1",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "a1",
                        "caption" : "a-page2"
                    }],"b",false],
                    "method" : "insertItems"
                },{
                    "desc" : "after 2",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : [[{
                        "id" : "a2",
                        "caption" : "a-last"
                    }],"last",false],
                    "method" : "insertItems"
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton213")
                .setDesc("Update Item in Tabsd")
                .setLeft(490)
                .setTop(284)
                .setWidth(102)
                .setHeight(36)
                .setHtml("Update Item in Tabs")
                .onClick([{
                    "desc" : "a",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["a",{
                        "caption" : "[page1]",
                        "image" : "{/}img/box.png"
                    }],
                    "method" : "updateItem"
                },{
                    "desc" : "b",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["last",{
                        "caption" : "[last one]"
                    }],
                    "method" : "updateItem"
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton1179")
                .setDesc("Remove Items  in Tabs")
                .setLeft(600)
                .setTop(284)
                .setWidth(102)
                .setHeight(36)
                .setHtml("Remove Items  in Tabs")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["c"],
                    "method" : "removeItems"
                },{
                    "desc" : "action2",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["first"],
                    "method" : "removeItems"
                }])
                );

            host.ctl_pane39.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton1473")
                .setDesc("Remove Items  in Tabs")
                .setLeft(710)
                .setTop(284)
                .setWidth(102)
                .setHeight(36)
                .setHtml("Select Tab")
                .onClick([{
                    "desc" : "action",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["b"],
                    "method" : "fireItemClickEvent"
                },{
                    "desc" : "action2",
                    "type" : "control",
                    "target" : "ctl_tabs4",
                    "params" : ["a"],
                    "method" : "fireItemClickEvent",
                    "timeout" : 1000
                }])
                );

            return children;
            // ]]Code created by CrossUI RAD Studio
        },
        events:{"onRender":[{"desc":"message", "type":"other", "target":"msg", "params":["This is in conf!", "Page on render"], "scope":null, "method":"message"}, "_com_onrender"]},
        _com_onrender:function (com, threadid){
            _.asyRun(function(){
                xui.message("Page on render","This is in code!");
            },3000);
        }
    },
    Static:{
        designViewConf:{
            "width" : 1280,
            "height" : 1280,
            "mobileFrame" : false
        }
    }
});