Class('App', 'xui.Com',{
    Instance:{
        iniComponents:function(){
            // [[Code created by CrossUI RAD Studio
            var host=this, children=[], append=function(child){children.push(child.get(0));};

            append(
                (new xui.UI.Group())
                .setHost(host,"group2")
                .setLeft(30)
                .setTop(10)
                .setWidth(650)
                .setHeight(80)
                .setCaption("xui.UI.HTMLButton (recommended)")
                .setToggleBtn(false)
            );

            host.group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton2")
                .setLeft(20)
                .setTop(10)
                .setWidth(90)
                .setHeight(26)
                .setHtml("HTML button")
                );

            host.group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton3")
                .setLeft(350)
                .setTop(10)
                .setWidth(199)
                .setHeight(26)
                .setHtml("<img style='vertical-align:text-bottom' src={/}img/accept.png> HTML button Click Event")
                .onClick([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Click Event","You just clicked HTML Button"],
                    "method" : "pop"
                }])
                );

            host.group2.append(
                (new xui.UI.HTMLButton())
                .setHost(host,"ctl_htmlbutton46")
                .setLeft(130)
                .setTop(10)
                .setWidth(160)
                .setHeight(50)
                .setHtml("<img style='vertical-align:text-bottom' src={/}img/accept.png> <br/>HTML button")
                );

            append(
                (new xui.UI.Group())
                .setHost(host,"group3")
                .setLeft(30)
                .setTop(170)
                .setWidth(650)
                .setHeight(260)
                .setCaption("xui.UI.Button")
                .setToggleBtn(false)
            );

            host.group3.append(
                (new xui.UI.Group())
                .setHost(host,"group4")
                .setLeft(30)
                .setTop(180)
                .setWidth(480)
                .setHeight(50)
                .setCaption("no border")
                .setToggleBtn(false)
                );

            host.group4.append(
                (new xui.UI.Button())
                .setHost(host,"button21")
                .setLeft(20)
                .setTop(3)
                .setWidth(100)
                .setBorder(false)
                .setCaption("align:left")
                .setHAlign("left")
                );

            host.group4.append(
                (new xui.UI.Button())
                .setHost(host,"button223")
                .setLeft(160)
                .setTop(3)
                .setWidth(100)
                .setBorder(false)
                .setCaption("align:right")
                .setHAlign("right")
                );

            host.group4.append(
                (new xui.UI.Button())
                .setHost(host,"button30")
                .setLeft(320)
                .setTop(3)
                .setWidth(100)
                .setBorder(false)
                .setCaption("with image")
                .setImage("{/}img/accept.png")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button20")
                .setDisabled(true)
                .setLeft(20)
                .setTop(10)
                .setWidth(180)
                .setCaption("a disabled button")
                .setType("status")
                .onChecked("_button28_ontoggle")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button28")
                .setLeft(230)
                .setTop(10)
                .setWidth(270)
                .setCaption("a toggle button")
                .setImage("{/}img/accept.png")
                .setType("status")
                .onChange([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["onChange Event","The button was checked: {args.2}"],
                    "method" : "alert",
                    "onOK" : 2
                }])
                .onChecked("_button28_ontoggle")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button29")
                .setLeft(20)
                .setTop(40)
                .setWidth(190)
                .setHeight(30)
                .setShadow(true)
                .setCaption("with shadow")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button34")
                .setLeft(230)
                .setTop(70)
                .setWidth(280)
                .setHeight(100)
                .setShadow(true)
                .setResizer(true)
                .setCaption("with shadow and resizer")
                .setHAlign("left")
                .setVAlign("bottom")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button12")
                .setLeft(230)
                .setTop(40)
                .setWidth(270)
                .setCaption("drop button with image")
                .setImage("img/demo.gif")
                .setType("drop")
                .onClick([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["You clicked button's body","Click Event"],
                    "method" : "message"
                }])
                .onClickDrop([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["You clicked button's drop button","Click Event"],
                    "method" : "message"
                }])
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button13")
                .setLeft(20)
                .setTop(90)
                .setWidth(90)
                .setHeight(60)
                .setRenderer(function anonymous(){
                    return"<img src={/}img/accept.png /><br />renderer";
                })
                .setCaption("button13")
                );

            host.group3.append(
                (new xui.UI.Button())
                .setHost(host,"button14")
                .setLeft(130)
                .setTop(90)
                .setWidth(90)
                .setHeight(60)
                .setRenderer(function anonymous(){
                    return"renderer<br /><img src={/}img/accept.png />";
                })
                .setCaption("button13")
                );

            append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group33")
                .setLeft(30)
                .setTop(100)
                .setWidth(650)
                .setHeight(60)
                .setCaption("xui.UI.SButton (recommended)")
                .setToggleBtn(false)
            );

            host.ctl_group33.append(
                (new xui.UI.SButton())
                .setHost(host,"ctl_sbutton19")
                .setLeft(20)
                .setTop(8)
                .setImage("{/}img/accept.png")
                .setCaption("I'm a simple button (height is fixed )")
                );

            host.ctl_group33.append(
                (new xui.UI.SButton())
                .setHost(host,"ctl_sbutton20")
                .setLeft(350)
                .setTop(8)
                .setWidth(200)
                .setCaption("Simple Button Click Event")
                .onClick([{
                    "desc" : "action1",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["You clicked SButton","Click Event",200,5000],
                    "method" : "message"
                }])
                );

            return children;
            // ]]Code created by CrossUI RAD Studio
        }
    }
});